#ifndef USER_DEFINE_H__
#define USER_DEFINE_H__

#define DEBUG_EN

#define USE_BOSCH_SENSOR_API

#define USE_I2C_INTERFACE
//#define USE_SPI_INTERFACE

//#define USE_BMA2X2
//#define USE_BMA253
//#define USE_BMA400
//#define USE_BMA425
#define USE_BMI160
//#define USE_BMX160
//#define USE_BMI270
//#define USE_BMP38X
//#define USE_BME280
//#define USE_BME680
//#define USE_BMM150
#if defined(USE_BMA253)
//#define DATA_POLL
//#define ANY_MOTION
//#define NO_MOTION
//#define TAP
#elif defined(USE_BMA2X2)
//#define DATA_POLL
//#define FIFO_POLL
//#define FIFO_WM_INT
#elif defined(USE_BMA400)
//#define SELF_TEST
//#define DATA_POLL
//#define DATA_RDY_INT
//#define FIFO_POLL
//#define FIFO_WM_INT
//#define STEP_COUNTER
//#define ACTIVITY_RECOGNITION
//#define TAP
//#define ORIENTATION
#elif defined(USE_BMA425)
//#define SELF_TEST
/*Only support to select one*/
//#define DATA_POLL
//#define FIFO_POLL
//#define FIFO_WM_INT
//#define STEP_COUNTER
//#define TAP
//#define ANY_MOTION
//#define ACTIVITY_RECOGNITION
//#define TILT_ON_WRIST
//#define SUPPORT_LOWPOWER
#elif defined(USE_BMI160)
//#define ACC_ONLY
//#define GYRO_ONLY
#define ACC_GYRO
//#define FOC
//#define ACC_SELFTEST
//#define GYRO_SELFTEST
//#define ACC_GYRO_SELFTEST
//#define DATA_POLL
//#define FIFO_POLL
#define FIFO_WM_INT
//#define STEP_COUNTER
//#define STEP_DETECTOR
//#define ANY_MOTION
//#define NO_MOTION
//#define SIG_MOTION
//#define TAP
//#define ORIENTATION
//#define FLAT_DETECTION
//#define LOW_G
//#define HIGH_G
//#define SUPPORT_LOWPOWER
#elif defined(USE_BMX160)
//#define SELF_TEST
//#define DATA_POLL
//#define FIFO_POLL
//#define FIFO_WM_INT
//#define STEP_COUNTER
#elif defined(USE_BMI270)
//#define ACC_SELFTEST
//#define GYRO_SELFTEST
//#define ACC_GYRO_SELFTEST
//#define CRT
//#define ACC_ONLY
//#define GYRO_ONLY
//#define ACC_GYRO
	#if defined(ACC_ONLY) || defined(ACC_GYRO)
	//#define STEP_COUNTER
	//#define WRIST_WEAR_WAKE_UP
	//#define WRIST_GESTURE
	//#define TAP
	//#define ACTIVITY_DETECTION
	#endif
//#define DATA_POLL
/*Only support to select one*/
//#define FIFO_POLL
//#define FIFO_WM_INT
//#define SUPPORT_LOWPOWER

//#define USE_EXT_BMM150
	#if defined(USE_EXT_BMM150)
		//#define MAGNETOMETER_CALIBRATOR
		#if defined(MAGNETOMETER_CALIBRATOR)
		#define USE_BMM150_DATA_MODE
		#else
		//#define USE_BMM150_MANUAL_MODE
		#define USE_BMM150_DATA_MODE
		#endif
	#endif

#elif defined(USE_BMP38X)
//#define BMP38X_NORMAL_MODE
//#define BMP3X_FORCE_MODE
//#define BMP3X_FIFO_READ
#elif defined(USE_BME280)
#elif defined(USE_BME680)
//#define BME680_SELF_TEST
//#define BME680_FORCE_MODE
//#define BME680_NORMAL_MODE
#elif defined(USE_BMM150)
//#define SELF_TEST
//#define DATA_POLL
#endif


#endif
